Skip to main content

Attribute

No description

type Attribute {
id: Int!
name: String!
searchId: String!
description(language: String): [LocalizedString!]!
type: AttributeType!
typeParam: String!
group: String!
isSearchable: Boolean!
isPublic: Boolean!
isHidden: Boolean
textValue(language: String): [LocalizedStringArray!]
enumValue: [String!]
intValue: [Int!]
decimalValue: [Float!]
dateValue: DateTime
}

Fields​

Attribute.id ● Int! non-null scalar​

The Name or Id of the Attribute as it's defined in the Datebase

Attribute.name ● String! non-null scalar​

The Name or Id of the Attribute as it's defined in the Datebase

Attribute.searchId ● String! non-null scalar​

Lowercased representation of the id with an attr_ prefix that can be used in query parameters. The attr_ prefix is to avoid potential naming conflict with regular product fields

Attribute.description ● [LocalizedString!]! non-null object​

The human readable description of the attribute's name. This is a language specific value.

Attribute.description.language ● String scalar​

Attribute.type ● AttributeType! non-null enum​

The type of the attribute. Possible values: - text - list - enum - enumlist - color - date - datetime - object - integer - decimal

Attribute.typeParam ● String! non-null scalar​

The name of the connected valueset to use when type is enum or enumlist

Attribute.group ● String! non-null scalar​

The group this attribute belongs to.

Attribute.isSearchable ● Boolean! non-null scalar​

Flags whether this attribute should be used when generating catalog page filters.

Attribute.isPublic ● Boolean! non-null scalar​

Flags whether this attribute should be used when generating product specs.

Attribute.isHidden ● Boolean scalar​

Flags whether this attribute us hidden and should only be used for background operations.

Attribute.textValue ● [LocalizedStringArray!] list object​

Textual value(s) for this attribute, filled when attribute type equals text, list or color. This value suitable for Localization.

Attribute.textValue.language ● String scalar​

Attribute.enumValue ● [String!] list scalar​

Enumeration value for this attribute, filled when type equals enum or enumlist. Values returned from this field should be transformed used by the valueset from the datasource field. Values in this field can be multivalue.

Attribute.intValue ● [Int!] list scalar​

Integer value for this attribute, filled when attribute type equals numeric or object.

Attribute.decimalValue ● [Float!] list scalar​

Decimal value for this attribute, filled when attribute type equals decimal.

Attribute.dateValue ● DateTime scalar​

Date value for this attribute, filled when attribute type equals date or datetime

Returned By​

productAttributes query ● userAttributes query

Member Of​

Contact object ● Customer object ● Product object ● User object